## org.hibernate.cfg.annotations
Class SimpleValueBinder

    java.lang.Object
      org.hibernate.cfg.annotations.SimpleValueBinder

    public class SimpleValueBinder

extends Object

Constructor Summary
`SimpleValueBinder()`

Method Summary
`void` `fillSimpleValue()`
`boolean` `isVersion()`
`void` `linkWithValue()`
`SimpleValue` `make()`
`void` `setColumns(Ejb3Column[] columns)`
`void` `setExplicitType(String explicitType)`
`void` `setExplicitType(Type typeAnn)`
`void` `setKey(boolean key)`
`void` `setMappings(Mappings mappings)`
`void` `setPersistentClassName(String persistentClassName)`
`void` `setPropertyName(String propertyName)`
`void` `setReferencedEntityName(String referencedEntityName)`
`void` `setReturnedClassName(String returnedClassName)`
`void` `setTable(Table table)`
`void` `setTimestampVersionType(String versionType)`
`void` `setType(org.hibernate.annotations.common.reflection.XProperty property, org.hibernate.annotations.common.reflection.XClass returnedClass)`
`void` `setVersion(boolean isVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleValueBinder

    public SimpleValueBinder()

Method Detail

### setReferencedEntityName

    public void setReferencedEntityName(String referencedEntityName)

### isVersion

    public boolean isVersion()

### setVersion

    public void setVersion(boolean isVersion)

### setTimestampVersionType

    public void setTimestampVersionType(String versionType)

### setPropertyName

    public void setPropertyName(String propertyName)

### setReturnedClassName

    public void setReturnedClassName(String returnedClassName)

### setTable

    public void setTable(Table table)

### setColumns

    public void setColumns(Ejb3Column[] columns)

### setPersistentClassName

    public void setPersistentClassName(String persistentClassName)

### setType

    public void setType(org.hibernate.annotations.common.reflection.XProperty property,
                        org.hibernate.annotations.common.reflection.XClass returnedClass)

### setExplicitType

    public void setExplicitType(String explicitType)

### setExplicitType

    public void setExplicitType(Type typeAnn)

### setMappings

    public void setMappings(Mappings mappings)

### make

    public SimpleValue make()

### linkWithValue

    public void linkWithValue()

### fillSimpleValue

    public void fillSimpleValue()

### setKey

    public void setKey(boolean key)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.